Nuxeo 6 : client and server version compatibility


(Pierre) #1

Hi,

I m new to ES and will soon be installing Nuxeo 6 in our environment that already holds a 1.7.X ES server.

According to the documentation, "Nuxeo Platform 6.0 uses Elasticsearch 1.1.2 library and has been successfully tested against 1.4.x cluster" ... and "communicates with Elasticsearch using the transport client JAVA API".

I ve also read that ES clients should be compatible with servers of the same minor version.

So, will my Nuxeo client will be able to deal with the 1.7 server or should it be downgraded ?
Could it be more subtle and depend on which features are actually in use within the client ?

Thanks.


(Mark Walkom) #2

More the latter I'd imagine.
But the core functionality shouldn't present any issues on the same major versions.


(system) #3